Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.util
Interface EPPSchemaCacher

All Known Implementing Classes:
  EPPSchemaCachingParser

    public interface EPPSchemaCacher

Iterface for classes that support caching schemas.

Title: EPP SDK

Description: EPP SDK for 1.0 Spec

Copyright: Copyright (c) 2003

Company: VeriSign

Version:
  1.0
Author:
  clloyd

Method Summary
`void` | `addSchemaToCache(org.apache.xerces.xni.parser.XMLInputSource aSchema)` Adds a schema to the cache.
`void` | `setLockSchemaCache(boolean aBoolean)` Lock or unlock the schema cache.

Method Detail

### setLockSchemaCache

    void setLockSchemaCache(boolean aBoolean)

  Lock or unlock the schema cache. If locked then no more schemas can be added.

  Parameters:
    `aBoolean` - True locks, False unlocks.

### addSchemaToCache

    void addSchemaToCache(org.apache.xerces.xni.parser.XMLInputSource aSchema)
                          throws EPPParserException

  Adds a schema to the cache. The schema instance should exist as an XMLInputSource and the EPPSchemaCacher instance should not be locked

  Parameters:
    `aSchema` - The schema to cache.
  Throws:
    `EPPParserException` - Thrown if the schema can't be cached.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.